## faker 0.7.7

=== Makefile ===
test:
	coverage run --source=faker setup.py test

release:
	rm -rf dist
	python setup.py sdist bdist_wheel
	twine upload dist/*

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Faker.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Faker.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Faker"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Faker"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== faker/tests/requirements.txt ===
mock==1.0.1
UkPostcodeParser==1.0.3
email_validator>=1.0

## faker 0.5.7

=== debian/changelog ===
faker (0.5.7-1) unstable; urgency=low

  * Initial release (Closes: #814045)

 -- Christopher Baines <mail@cbaines.net>  Sat, 19 Mar 2016 15:32:52 +0000

=== debian/control ===
Source: faker
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christopher Baines <mail@cbaines.net>
Section: python
Priority: optional
Build-Depends: dh-python,
               python-setuptools,
               python3-setuptools,
               python-all,
               python3-all,
               debhelper (>= 9),
               help2man,
               python-mock,
               python3-mock,
               python-dateutil,
               python3-dateutil,
               python-ipaddress,
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/faker.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/faker.git
Homepage: https://github.com/joke2k/faker

Package: python-fake-factory
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Faker is a Python library that generates fake data (Python 2)
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This is the Python 2 version of the package.

Package: python3-fake-factory
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Faker is a Python library that generates fake data (Python 3)
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This is the Python 3 version of the package.

Package: faker
Architecture: all
Depends: ${misc:Depends}, python3, python3-fake-factory
Description: Python program that generates fake data
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This script is powered by the Python faker library.

## faker 0.7.7

=== debian/changelog ===
faker (0.7.7-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 16 Aug 2019 00:26:24 +0500

faker (0.7.7-2) unstable; urgency=high

  * Fix Non-determistically FTBFS due to tests sometimes exposing
    UnboundLocalError. Closes: #849333.
  * Remove century tests. Closes: #849652.

 -- Brian May <bam@debian.org>  Tue, 31 Jan 2017 17:32:59 +1100

faker (0.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * debian/.git-dpm: fix patchedTag format.
  * Remove upstream applied patch 0001-Improve-command-line-output.patch.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 23 Dec 2016 18:50:32 +0100

=== debian/control ===
Source: faker
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christopher Baines <mail@cbaines.net>, Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-setuptools,
               python3-all,
               debhelper-compat (= 9),
               help2man,
               python3-mock,
               python3-dateutil,
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/python-team/modules/faker.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/faker
Homepage: https://github.com/joke2k/faker

Package: python3-fake-factory
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Faker is a Python library that generates fake data (Python 3)
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This is the Python 3 version of the package.

Package: faker
Architecture: all
Depends: ${misc:Depends}, python3, python3-fake-factory
Description: Python program that generates fake data
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This script is powered by the Python faker library.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)

# This file was automatically generated by stdeb 0.8.5 at
# Tue, 22 Dec 2015 10:08:09 +0000
export PYBUILD_NAME=fake-factory
%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_installman:
	PYTHONPATH="." help2man -n "command to generate fake data" --no-info \
		--output=debian/faker.1 debian/faker/usr/bin/faker
	dh_installman

override_dh_auto_install:
	dh_auto_install
	# Move the python 3 script to the faker package
	mkdir -p debian/faker/usr/bin
	mv debian/python3-fake-factory/usr/bin/faker debian/faker/usr/bin/

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -ex ; for i in $(PYTHON3S) ; do \
		python$$i -W default -m unittest --verbose faker.tests ; \
	done
endif

## faker 0.9.3

=== Makefile ===
test:
	coverage run --source=faker --omit=faker/build_docs.py setup.py test

release:
	rm -rf build dist
	python setup.py sdist bdist_wheel
	git push --tags
	twine upload dist/*

=== debian/changelog ===
faker (0.9.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.9.3
  * drop patches: obsolete
  * add patch to use unidecode (not text_unidecode);
    document in copyright file that effective license is now GPL-2+;
    build-depend on python3-unidecode
  * add patches to avoid modules ukpostcodeparser email_validator
    in tests
  * build-depend on python3-pytest python3-pytest-runner

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Mar 2020 23:01:48 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,9 @@
                help2man,
                python3-mock,
                python3-dateutil,
+               python3-pytest <!nocheck>,
+               python3-pytest-runner <!nocheck>,
+               python3-unidecode <!nocheck>,
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/python-team/modules/faker.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/faker

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,6 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -ex ; for i in $(PYTHON3S) ; do \
-		python$$i -W default -m unittest --verbose faker.tests ; \
+		python$$i -W default -m unittest --verbose ; \
 	done
 endif

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/faker-$1\.tar\.gz/ \
  https://github.com/joke2k/faker/tags .*/v?(\d\S*)\.tar\.gz

## faker 22.0.0

=== Makefile ===
test:
	tox -e py

flake8:
	flake8 --extend-ignore=E203 faker tests

mypy:
	mypy --install-types --non-interactive --config mypy.ini faker

black:
	black --line-length 120 .

isort:
	isort --atomic .

lint: isort black mypy flake8

release:
	check-manifest
	rm -rf build dist
	python setup.py sdist bdist_wheel
	git push --tags
	twine upload dist/*

=== debian/changelog ===
faker (22.0.0-1) unstable; urgency=medium

  * Team upload.
  * Delete old debian/patches and add skip tests patch.
  * New upstream version 22.0.0. (Closes: #952388)
  * Update d/control.
    - Set std-ver to 4.6.2.
    - Add Rules-Requires-Root.
    - Add dependencies on python3-dateutil and python3-pil to the
      binary package.
  * Update d/copyright.
  * Set standard to 4 on d/watch.
  * Running test with pytest and add autopkgtest

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 02 Jan 2024 15:10:20 +0000

faker (0.9.3-2) unstable; urgency=medium

  * Team upload.
  * Add conflicts with old ruby-faker (#1011443)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 06 Jul 2022 08:40:59 +0200

faker (0.9.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jun 2022 21:35:15 -0400

=== debian/control ===
Source: faker
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christopher Baines <mail@cbaines.net>, Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-setuptools,
               python3-all,
               debhelper-compat (= 13),
               help2man,
               python3-mock <!nocheck>,
               python3-pil <!nocheck>,
               python3-dateutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-unidecode <!nocheck>,
               python3-freezegun <!nocheck>,
               python3-validators <!nocheck>,
               python3-xmltodict <!nocheck>,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/faker.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/faker
Homepage: https://github.com/joke2k/faker
Rules-Requires-Root: no

Package: python3-fake-factory
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-dateutil,
         python3-pil
Description: Faker is a Python library that generates fake data (Python 3)
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This is the Python 3 version of the package.

Package: faker
Architecture: all
Depends: ${misc:Depends}, python3, python3-fake-factory
Conflicts: ruby-faker (<< 2.21.0-1)
Description: Python program that generates fake data
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This script is powered by the Python faker library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fake-factory

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_installman:
	PYTHONPATH="." help2man -n "command to generate fake data" --no-info \
		--output=debian/faker.1 debian/faker/usr/bin/faker
	dh_installman

override_dh_auto_install:
	dh_auto_install
	# Move the python 3 script to the faker package
	mkdir -p debian/faker/usr/bin
	mv debian/python3-fake-factory/usr/bin/faker debian/faker/usr/bin/

# tests needs package installed.
# please help to fix it if can
# see https://github.com/joke2k/faker/issues/1969
override_dh_auto_test:

execute_after_dh_auto_install:
	dh_auto_test

## faker 24.4.0

=== debian/changelog ===
faker (24.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.4.0
  * Remove extraneous dependency on python3-mock
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Mar 2024 01:19:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Uploaders: Christopher Baines <mail@cbaines.net>, Brian May <bam@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python,
+Build-Depends: dh-sequence-python3,
                python3-setuptools,
                python3-all,
                debhelper-compat (= 13),
                help2man,
-               python3-mock <!nocheck>,
                python3-pil <!nocheck>,
                python3-dateutil <!nocheck>,
                python3-pytest <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=fake-factory
 
 %:
-	dh $@ --with=python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installman:
 	PYTHONPATH="." help2man -n "command to generate fake data" --no-info \

## faker 26.0.0

=== debian/changelog ===
faker (26.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 26.0.0
  * Bump Standards-Version to 4.7.0
    No further modifications needed.

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Mon, 01 Jul 2024 23:50:43 +0530

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-freezegun <!nocheck>,
                python3-validators <!nocheck>,
                python3-xmltodict <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/faker.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/faker
 Homepage: https://github.com/joke2k/faker

## faker 28.1.0

=== debian/changelog ===
faker (28.1.0-2) unstable; urgency=medium

  * Team upload.
  [ Carsten Schoenert ]
  * [fcff057] Rebuild patch queue from patch-queue branch
    docs-Remove-potential-privacy-breaking-external-linking.patch

  [ Kathara Sasikumar ]
  * Source only Upload

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Tue, 03 Sep 2024 14:01:40 +0530

faker (28.1.0-1) unstable; urgency=medium

  * Team upload.
  [ Carsten Schoenert ]
  * [db8ecdd] d/gbp.conf: Add some default data
  * [60adf75] d/README.source: Add some defaults hints

  [ Kathara Sasikumar ]
  * [8fe64d0] New upstream version 28.1.0
  * [eeb923d] d/control: Add faker-doc package
    (Closes: #1077787)
  * [afb8fe8] d/control: Update/sort Build-Depends for faker-doc package
  * [f917844] d/rules: Add doc variables and override dh_sphinxdoc
  * [473bf53] d/faker-doc.doc-base: Add new needed sequencer
  * [f70cff8] Rebuild patch queue from patch-queue branch
    Added patch:
    docs-Use-packaged-intersphinx-resources.patch
  * [60301fe] d/README.source: Fixed directory name

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Mon, 02 Sep 2024 12:32:05 +0530

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=fake-factory
+export DOC_PKG_NAME=faker-doc
+SPHINXOPTS := -N
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -21,5 +23,12 @@
 # see https://github.com/joke2k/faker/issues/1969
 override_dh_auto_test:
 
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "*$(PYBUILD_NAME)*dist-info" | head -n1)` \
+	python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/$(DOC_PKG_NAME)/usr/share/doc/$(DOC_PKG_NAME)/html
+	dh_sphinxdoc
+endif
+
 execute_after_dh_auto_install:
 	dh_auto_test

## faker 33.1.0

=== debian/changelog ===
faker (33.1.0-1) unstable; urgency=medium

  * Team upload.
  * [bf3b531] New upstream version 33.1.0
  * [bde26ba] d/rules: Remove .mypy_cache while dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 15 Dec 2024 09:37:45 +0200

## faker 33.3.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,10 @@
 isort:
 	isort --atomic .
 
-lint: isort black mypy flake8
+generate-stubs: 
+	python3.10 generate_stubs.py
+
+lint: generate-stubs isort black mypy flake8
 
 release:
 	check-manifest

=== debian/changelog ===
faker (33.3.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-freezegun. Closes: #1116734.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Drop debian/gitlab-ci.yml.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 18:15:00 +0200

faker (33.3.1-1) unstable; urgency=medium

  * Team upload.
  * [6502c23] New upstream version 33.3.1

 -- Douglas Alves dos Santos <douglasvestos@gmail.com>  Tue, 14 Jan 2025 09:58:17 -0300

=== debian/control ===
Source: faker
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christopher Baines <mail@cbaines.net>, Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               help2man,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dateutil <!nocheck>,
               python3-doc <!nodoc>,
               python3-freezegun,
               python3-pil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-unidecode <!nocheck>,
               python3-validators <!nocheck>,
               python3-xmltodict <!nocheck>,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/faker.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/faker
Homepage: https://github.com/joke2k/faker

Package: faker
Architecture: all
Depends: ${misc:Depends}, python3, python3-fake-factory,
Suggests:
 faker-doc,
Conflicts: ruby-faker (<< 2.21.0-1)
Description: Python program that generates fake data
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This script is powered by the Python faker library.

Package: faker-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Faker is a Python library that generates fake data (Documentation)
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This package contains the documentation of faker.

Package: python3-fake-factory
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-dateutil,
         python3-pil,
Suggests:
 faker-doc,
Description: Faker is a Python library that generates fake data (Python 3)
 The fake data can be used to bootstrap a database, create XML documents, or
 anonymize data taken from a production service.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache
 
 override_dh_installman:
 	PYTHONPATH="." help2man -n "command to generate fake data" --no-info \

=== debian/tests/control ===
Tests: pytest
Depends: @,
        python3-all,
        python3-pytest,
        python3-unidecode,
        python3-freezegun,
        python3-validators,
        python3-xmltodict,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/faker-$1\.tar\.gz/ \
  https://github.com/joke2k/faker/tags .*/v?(\d\S*)\.tar\.gz

## faker 39.0.0

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 isort:
 	isort --atomic .
 
-generate-stubs: 
-	python3.10 generate_stubs.py
+generate-stubs:
+	python3.11 generate_stubs.py
 
 lint: generate-stubs isort black mypy flake8

=== debian/changelog ===
faker (39.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 39.0.0 (Closes: #1123136)
  * Rewrite d/watch in v5 format
  * Rewrite d/rules with shorter syntax

 -- Alexandre Detiste <tchet@debian.org>  Thu, 25 Dec 2025 00:36:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,18 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -rf .mypy_cache
 
-override_dh_installman:
+execute_before_dh_installman:
 	PYTHONPATH="." help2man -n "command to generate fake data" --no-info \
 		--output=debian/faker.1 debian/faker/usr/bin/faker
-	dh_installman
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# Move the python 3 script to the faker package
 	mkdir -p debian/faker/usr/bin
 	mv debian/python3-fake-factory/usr/bin/faker debian/faker/usr/bin/
+	dh_auto_test
 
 # tests needs package installed.
 # please help to fix it if can
@@ -33,6 +31,3 @@
 	python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/$(DOC_PKG_NAME)/usr/share/doc/$(DOC_PKG_NAME)/html
 	dh_sphinxdoc
 endif
-
-execute_after_dh_auto_install:
-	dh_auto_test

=== debian/watch ===
Version: 5

Template: GitHub
Owner: joke2k
Project: faker
